<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
				 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
				 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>de.hypertegrity</groupId>
	<artifactId>udsp-keycloak-spis</artifactId>
	<version>1.0-SNAPSHOT</version>

	<packaging>pom</packaging>

	<modules>
		<module>organizationmapper</module>
		<module>tenantnamemapper</module>
	</modules>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<aws.version>2.17.209</aws.version>
		<keycloak.version>21.0.0</keycloak.version>
		<maven.compiler.version>3.11.0</maven.compiler.version>
		<maven.compiler.release>17</maven.compiler.release>
		<maven-shade.version>3.2.4</maven-shade.version>
		<maven-surefire.version>3.1.2</maven-surefire.version>
	</properties>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>com.github.dasniko</groupId>
				<artifactId>keycloak-spi-bom</artifactId>
				<version>${keycloak.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<dependency>
				<groupId>software.amazon.awssdk</groupId>
				<artifactId>sns</artifactId>
				<version>${aws.version}</version>
				<exclusions>
					<exclusion>
						<groupId>software.amazon.awssdk</groupId>
						<artifactId>netty-nio-client</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>software.amazon.awssdk</groupId>
				<artifactId>ses</artifactId>
				<version>${aws.version}</version>
				<exclusions>
					<exclusion>
						<groupId>software.amazon.awssdk</groupId>
						<artifactId>netty-nio-client</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<build>
		<pluginManagement>
			<plugins>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-compiler-plugin</artifactId>
					<version>${maven.compiler.version}</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-shade-plugin</artifactId>
					<version>${maven-shade.version}</version>
					<configuration>
						<artifactSet>
							<excludes>
								<exclude>org.keycloak*</exclude>
								<exclude>org.apache.httpcomponents:httpcore</exclude>
							</excludes>
						</artifactSet>
					</configuration>
					<executions>
						<execution>
							<phase>package</phase>
							<goals>
								<goal>shade</goal>
							</goals>
						</execution>
					</executions>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-surefire-plugin</artifactId>
					<version>${maven-surefire.version}</version>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>

	<repositories>
		<repository>
			<id>jitpack.io</id>
			<url>https://jitpack.io</url>
		</repository>
	</repositories>

</project>